#!/usr/bin/perl -w

use strict;
use Data::Dumper;
use DBI;
use FindBin qw($Bin);

my $DBDIR="";
{
    my @a=split("/",$Bin);
    pop(@a);
    $DBDIR=join("/",@a)."/db";
}

print "$DBDIR\n";
my $dbh=DBI->connect("dbi:SQLite:dbname=$DBDIR/newports.db","","");

my %dirsdone=();
my $checkedcount=0;
{
    my $sth=$dbh->prepare("
	SELECT	directory
	FROM	checkeddirectories
    ");
    $sth->execute();
    while (my @a=$sth->fetchrow_array()) {
	$dirsdone{$a[0]}=1;
	$checkedcount++;
    }

    $sth->finish();
}

{
    my $a=<>;
    my @a=split(" ",$a);
    print STDERR 1+$#a," ports found, $checkedcount already checked\n";

    foreach $a (@a) {
	print "$a " if (!defined $dirsdone{$a});
    }
}

$dbh->disconnect();
