#!/bin/sh

if [ -z "$1" ]; then
	echo "Usage: $0 db/newports.db"
	exit
fi

db=$1

echo "create table failedhosts ( hostname text, protocol text, times int );" \
	| sqlite3 $db
echo "create table restrictports ( directory text, restriction text );" \
	| sqlite3 $db
echo "create table ignoreports ( category text, port text );" \
	| sqlite3 $db
echo "create table ignorehosts ( hostname text, protocol text, reason text );" \
	| sqlite3 $db
echo "create table ignoremaintainers ( maintainer text );" \
	| sqlite3 $db
echo "create table newports ( directory text, category text, port text, currentversion text, newversion text, url text, maintainer text, reported text );" \
	| sqlite3 $db
echo "create table checkeddirectories ( directory text, time text );" \
	| sqlite3 $db
