#!/usr/bin/perl -w

use strict;
use DBI;
use Data::Dumper;
use FindBin qw($Bin);

my $DBDIR="";
{
    my @a=split("/",$Bin);
    pop(@a);
    $DBDIR=join("/",@a)."/db";
}

my $dbh=DBI->connect("dbi:SQLite:dbname=$DBDIR/newports.db","","");

my $sth;

$sth=$dbh->prepare("DELETE FROM failedhosts");
$sth->execute();

$sth=$dbh->prepare("DELETE FROM checkeddirectories");
$sth->execute();

$sth=$dbh->prepare("UPDATE newports SET reported=1");
$sth->execute();
